PUT https://api.ap1.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.ap2.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.datadoghq.eu/api/v1/tags/hosts/{host_name} https://api.ddog-gov.com/api/v1/tags/hosts/{host_name} https://api.us2.ddog-gov.com/api/v1/tags/hosts/{host_name} https://api.uk1.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.us3.datadoghq.com/api/v1/tags/hosts/{host_name} https://api.us5.datadoghq.com/api/v1/tags/hosts/{host_name}
개요 This endpoint allows you to update/replace all tags in
an integration source with those supplied in the request.
인수 경로 파라미터 Specified host name to change tags
쿼리 문자열 요청 Body Data (required) Add tags to host
응답 코드 사례 복사
## default
#
# Path parameters export host_name = "CHANGE_ME" # Curl command curl -X PUT "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v1/tags/hosts/${host_name} " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} " \
-d @- << EOF
{
"host": "test.host",
"tags": [
"environment:production"
]
}
EOF
"""
Update host tags returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v1.api.tags_api import TagsApi
from datadog_api_client.v1.model.host_tags import HostTags
body = HostTags (
host = "test.host" ,
tags = [
"environment:production" ,
],
)
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = TagsApi ( api_client )
response = api_instance . update_host_tags ( host_name = "host_name" , body = body )
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# Update host tags returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V1 :: TagsAPI . new
body = DatadogAPIClient :: V1 :: HostTags . new ({
host : "test.host" ,
tags : [
"environment:production" ,
] ,
})
p api_instance . update_host_tags ( "host_name" , body )
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// Update host tags returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)
func main () {
body := datadogV1 . HostTags {
Host : datadog . PtrString ( "test.host" ),
Tags : [] string {
"environment:production" ,
},
}
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV1 . NewTagsApi ( apiClient )
resp , r , err := api . UpdateHostTags ( ctx , "host_name" , body , * datadogV1 . NewUpdateHostTagsOptionalParameters ())
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `TagsApi.UpdateHostTags`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `TagsApi.UpdateHostTags`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// Update host tags returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v1.api.TagsApi ;
import com.datadog.api.client.v1.model.HostTags ;
import java.util.Collections ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
TagsApi apiInstance = new TagsApi ( defaultClient );
HostTags body =
new HostTags (). host ( "test.host" ). tags ( Collections . singletonList ( "environment:production" ));
try {
HostTags result = apiInstance . updateHostTags ( "host_name" , body );
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling TagsApi#updateHostTags" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// Update host tags returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV1 ::api_tags ::TagsAPI ;
use datadog_api_client ::datadogV1 ::api_tags ::UpdateHostTagsOptionalParams ;
use datadog_api_client ::datadogV1 ::model ::HostTags ;
#[tokio::main]
async fn main () {
let body = HostTags ::new ()
. host ( "test.host" . to_string ())
. tags ( vec! [ "environment:production" . to_string ()]);
let configuration = datadog ::Configuration ::new ();
let api = TagsAPI ::with_config ( configuration );
let resp = api
. update_host_tags (
"host_name" . to_string (),
body ,
UpdateHostTagsOptionalParams ::default (),
)
. await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* Update host tags returns "OK" response
*/
import { client , v1 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v1 . TagsApi ( configuration );
const params : v1.TagsApiUpdateHostTagsRequest = {
body : {
host : "test.host" ,
tags : [ "environment:production" ],
},
hostName : "host_name" ,
};
apiInstance
. updateHostTags ( params )
. then (( data : v1.HostTags ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com uk1.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"